API ReferenceapipaymentsGET /v1/billing/invoices

GET /v1/billing/invoices

Service: payments · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • limit (integer) —
  • cursor (string) —

Responses

200 Recent invoices for the current user

{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string"
      },
      "date": {
        "type": "string"
      },
      "amount_cents": {
        "type": "integer"
      },
      "plan_label": {
        "type": "string"
      },
      "status": {
        "type": "string",
        "enum": [
          "paid",
          "pending",
          "void",
          "past_due"
        ]
      },
      "hosted_invoice_url": {
        "type": [
          "string",
          "null"
        ]
      }
    },
    "required": [
      "id",
      "date",
      "amount_cents",
      "plan_label",
      "status",
      "hosted_invoice_url"
    ]
  }
}

404 Billing context not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

502 Stripe error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://payments.platform.loop.health/v1/billing/invoices \
  -H "Authorization: Bearer $ACCESS_TOKEN"